# Uses of Interface
org.opensaml.saml.common.binding.EndpointResolver

Packages that use EndpointResolver
Package
Description
org.opensaml.saml.common.binding
Classes related to SAML binding operations.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.

## Uses of EndpointResolver in org.opensaml.saml.common.binding

Classes in org.opensaml.saml.common.binding that implement EndpointResolver
Modifier and Type
Class
Description
`class`
`AbstractEndpointResolver<EndpointType extends Endpoint>`
Base implementation that resolves and validates protocol/profile endpoints using a combination of supplied parameters and SAML metadata.

## Uses of EndpointResolver in org.opensaml.saml.common.binding.impl

Classes in org.opensaml.saml.common.binding.impl that implement EndpointResolver
Modifier and Type
Class
Description
`class`
`DefaultEndpointResolver<EndpointType extends Endpoint>`
Default implementation that performs additional endpoint validation.

## Uses of EndpointResolver in org.opensaml.saml.saml2.binding.decoding.impl

Fields in org.opensaml.saml.saml2.binding.decoding.impl declared as EndpointResolver
Modifier and Type
Field
Description
`private EndpointResolver<ArtifactResolutionService>`
HTTPArtifactDecoder.`artifactEndpointResolver`
Resolver for ArtifactResolutionService endpoints.
Methods in org.opensaml.saml.saml2.binding.decoding.impl that return EndpointResolver
Modifier and Type
Method
Description
`EndpointResolver<ArtifactResolutionService>`
HTTPArtifactDecoder.`getArtifactEndpointResolver()`
Get the artifact endpoint resolver.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type EndpointResolver
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setArtifactEndpointResolver(EndpointResolver<ArtifactResolutionService> resolver)`
Set the artifact endpoint resolver.